# New

## Synopsis

Creates a new project with a specified name.

```shell-session
$ rocketblend new [name] [flags]
```

## Options

```shell-session
 -h, --help        help for new
 -o, --overwrite   overwrite the project if one already exists
```

### Options inherited from parent commands

```shell-session
  -d, --directory string   working directory for the command (default ".")
  -l, --log-level string   log level (debug, info, warn, error) (default "info")
  -v, --verbose            enable verbose logging
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rocketblend.io/reference/cli/commands/open.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
